| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
uiSeisIOObjInfo Class Reference
uiSeis

`#include <uiseisioobjinfo.h>`

## Public Member Functions
| uiSeisIOObjInfo (const IOObj &, bool error_feedback=true)
| uiSeisIOObjInfo (const MultiID &, bool err_feedback=true)
| ~uiSeisIOObjInfo ()
bool | checkSpaceLeft (const SeisIOObjInfo::SpaceInfo &) const
int | expectedMBs (const SeisIOObjInfo::SpaceInfo &s) const
od_int64 | expectedSize (const SeisIOObjInfo::SpaceInfo &s) const
bool | getBPS (int &b, int icmp=-1) const
bool | getRanges (TrcKeyZSampling &cs) const
const IOObj * | ioObj () const
const SeisIOObjInfo & | ioObjInfo () const
bool | is2D () const
bool | isDepth () const
bool | isOK () const
bool | isPS () const
bool | isTime () const
bool | provideUserInfo () const
bool | provideUserInfo2D (const TypeSet< Pos::GeomID > *sel=0) const
const ZDomain::Info & | zDomain () const
const ZDomain::Def & | zDomainDef () const

## Static Public Attributes
static const char * | sKeyEstMBs

## Protected Attributes
bool | doerrs_
SeisIOObjInfo | sii_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiSeisIOObjInfo() [1/2]

uiSeisIOObjInfo::uiSeisIOObjInfo | ( | const IOObj & | ,
|  | bool | error_feedback = true )

## ◆ uiSeisIOObjInfo() [2/2]

uiSeisIOObjInfo::uiSeisIOObjInfo | ( | const MultiID & | ,
|  | bool | err_feedback = true )

## ◆ ~uiSeisIOObjInfo()

uiSeisIOObjInfo::~uiSeisIOObjInfo | ( |  | ) |

## Member Function Documentation

## ◆ checkSpaceLeft()

bool uiSeisIOObjInfo::checkSpaceLeft | ( | const SeisIOObjInfo::SpaceInfo & |  | ) | const

## ◆ expectedMBs()

int uiSeisIOObjInfo::expectedMBs | ( | const SeisIOObjInfo::SpaceInfo & | s | ) | const

## ◆ expectedSize()

od_int64 uiSeisIOObjInfo::expectedSize | ( | const SeisIOObjInfo::SpaceInfo & | s | ) | const
| inline

## ◆ getBPS()

bool uiSeisIOObjInfo::getBPS | ( | int & | b,
|  | int | icmp = -1 ) const
| inline

## ◆ getRanges()

bool uiSeisIOObjInfo::getRanges | ( | TrcKeyZSampling & | cs | ) | const
| inline

## ◆ ioObj()

const IOObj * uiSeisIOObjInfo::ioObj | ( |  | ) | const
| inline

## ◆ ioObjInfo()

const SeisIOObjInfo & uiSeisIOObjInfo::ioObjInfo | ( |  | ) | const
| inline

## ◆ is2D()

bool uiSeisIOObjInfo::is2D | ( |  | ) | const
| inline

## ◆ isDepth()

bool uiSeisIOObjInfo::isDepth | ( |  | ) | const
| inline

## ◆ isOK()

bool uiSeisIOObjInfo::isOK | ( |  | ) | const
| inline

## ◆ isPS()

bool uiSeisIOObjInfo::isPS | ( |  | ) | const
| inline

## ◆ isTime()

bool uiSeisIOObjInfo::isTime | ( |  | ) | const
| inline

## ◆ provideUserInfo()

bool uiSeisIOObjInfo::provideUserInfo | ( |  | ) | const

## ◆ provideUserInfo2D()

bool uiSeisIOObjInfo::provideUserInfo2D | ( | const TypeSet< Pos::GeomID > * | sel = 0 | ) | const

## ◆ zDomain()

const ZDomain::Info & uiSeisIOObjInfo::zDomain | ( |  | ) | const
| inline

## ◆ zDomainDef()

const ZDomain::Def & uiSeisIOObjInfo::zDomainDef | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ doerrs_

bool uiSeisIOObjInfo::doerrs_
| protected

## ◆ sii_

SeisIOObjInfo uiSeisIOObjInfo::sii_
| protected

## ◆ sKeyEstMBs

const char* uiSeisIOObjInfo::sKeyEstMBs
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025